/**
 * Copyright (C) 2008-2012 AgroSense Foundation.
 *
 * AgroSense is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * There are special exceptions to the terms and conditions of the GPLv3 as it is applied to
 * this software, see the FLOSS License Exception
 * <http://www.agrosense.eu/foss-exception.html>.
 *
 * AgroSense is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with AgroSense.  If not, see <http://www.gnu.org/licenses/>.
 */
package nl.cloudfarming.client.isobus.model;

/**
 * Exception thrown when the provided file is not of the TaskData type A
 * taskdata file has the file nama patern TASKDATA.XML
 *
 * @author Merijn Zengers
 */
public class InvalidTaskDataFileException extends Exception {

    public String error;
    
    public InvalidTaskDataFileException() {
        super();
    }

    public InvalidTaskDataFileException(String message) {
        super(message);
        error = message;
    }

    public String getError() {
        return error;
    }
}
